Typescript (SDK)
import { Autumn } from 'autumn-js'
const autumn = new Autumn()
const result = await autumn.webhooks.delete({
id: "billing",
});from autumn_sdk import Autumn
autumn = Autumn(secret_key="am_sk_test...")
res = autumn.webhooks.delete(id="billing")curl --request POST \
--url https://api.useautumn.com/v1/webhooks.delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--data '
{
"id": "billing"
}
'{
"success": true
}
Webhooks
Delete Webhook
Permanently deletes a webhook. Autumn stops sending it events immediately. Cannot be undone.
POST
/
v1
/
webhooks.delete
Typescript (SDK)
import { Autumn } from 'autumn-js'
const autumn = new Autumn()
const result = await autumn.webhooks.delete({
id: "billing",
});from autumn_sdk import Autumn
autumn = Autumn(secret_key="am_sk_test...")
res = autumn.webhooks.delete(id="billing")curl --request POST \
--url https://api.useautumn.com/v1/webhooks.delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--data '
{
"id": "billing"
}
'{
"success": true
}
Body Parameters
Response
{
"success": true
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
The webhook's ID. Webhooks made in the dashboard use the ep_… ID shown by webhooks.list.
Required string length:
1 - 256Pattern:
^[a-zA-Z0-9_-]+$Response
200 - application/json
OK
Always true when the webhook was deleted.